petsc-3.7.1 2016-05-15
Report Typos and Errors

# DMMoabIsEntityOnBoundary

Check whether a given entity is on the boundary (vertex, edge, face, element)

### Synopsis

    #include "petscdmmoab.h"
    PetscErrorCode DMMoabCheckBoundaryVertices(DM dm,PetscInt nconn,const moab::EntityHandle *cnt,PetscBool* isbdvtx)

### Input Parameter

dm - The DMMoab object Many br
nconn - Number of handles Many br
cnt - Array of entity handles Many br

### Output Parameter

isbdvtx - Array of boundary markers - PETSC_TRUE if entity on boundary; PETSC_FALSE otherwise Many br

Many br

### See Also

DMMoabIsEntityOnBoundary()

Level:beginner
Location:src/dm/impls/moab/dmmoab.cxx
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ts/examples/tutorials/ex35.cxx.html